Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.command
Class AbstractGetObjectBaseCommand

    java.lang.Object
      org.jbpm.command.AbstractGetObjectBaseCommand

All Implemented Interfaces:
  java.io.Serializable, Command

Direct Known Subclasses:
  DeployProcessCommand, GetProcessDefinitionCommand, GetProcessDefinitionsCommand, GetProcessInstanceCommand, GetProcessInstancesCommand, GetTaskInstanceCommand, GetTaskListCommand

    public abstract class AbstractGetObjectBaseCommand

extends java.lang.Object
implements Command

abstract base class for "get" commands which also implements default pre-fetching. Note: prefetching logs is not possible here, so you have to load Loags explicit with GetProcessInstanceLogCommand

Author:
  Bernd Ruecker (bernd.ruecker@camunda.com)
See Also:
  Serialized Form

Constructor Summary
`AbstractGetObjectBaseCommand()`
`AbstractGetObjectBaseCommand(boolean includeAllVariables, boolean includeLogs)`
`AbstractGetObjectBaseCommand(java.lang.String[] variablesToInclude)`

Method Summary
`protected JbpmContext` | `getJbpmContext()`
`java.lang.String[]` | `getVariablesToInclude()`
`boolean` | `isIncludeAllVariables()`
`protected void` | `retrieveNode(Node n)`
`ProcessDefinition` | `retrieveProcessDefinition(ProcessDefinition pd)`
`ProcessInstance` | `retrieveProcessInstance(ProcessInstance pi)`
`void` | `retrieveTaskInstanceDetails(TaskInstance ti)`
`protected void` | `retrieveToken(Token t)`
`void` | `retrieveVariables(ProcessInstance pi)`
`void` | `retrieveVariables(TaskInstance ti)`
`void` | `setIncludeAllVariables(boolean includeAllVariables)`
`protected void` | `setJbpmContext(JbpmContext jbpmContext)`
`void` | `setVariablesToInclude(java.lang.String variableToInclude)`
`void` | `setVariablesToInclude(java.lang.String[] variablesToInclude)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jbpm.command.Command
`execute`

Constructor Detail

### AbstractGetObjectBaseCommand

    public AbstractGetObjectBaseCommand()

### AbstractGetObjectBaseCommand

    public AbstractGetObjectBaseCommand(boolean includeAllVariables,
                                        boolean includeLogs)

### AbstractGetObjectBaseCommand

    public AbstractGetObjectBaseCommand(java.lang.String[] variablesToInclude)

Method Detail

### retrieveTaskInstanceDetails

    public void retrieveTaskInstanceDetails(TaskInstance ti)

### retrieveProcessInstance

    public ProcessInstance retrieveProcessInstance(ProcessInstance pi)

### retrieveProcessDefinition

    public ProcessDefinition retrieveProcessDefinition(ProcessDefinition pd)

### retrieveToken

    protected void retrieveToken(Token t)

### retrieveNode

    protected void retrieveNode(Node n)

### retrieveVariables

    public void retrieveVariables(ProcessInstance pi)

### retrieveVariables

    public void retrieveVariables(TaskInstance ti)

### isIncludeAllVariables

    public boolean isIncludeAllVariables()

### setIncludeAllVariables

    public void setIncludeAllVariables(boolean includeAllVariables)

### getVariablesToInclude

    public java.lang.String[] getVariablesToInclude()

### setVariablesToInclude

    public void setVariablesToInclude(java.lang.String[] variablesToInclude)

### setVariablesToInclude

    public void setVariablesToInclude(java.lang.String variableToInclude)

### getJbpmContext

    protected JbpmContext getJbpmContext()

### setJbpmContext

    protected void setJbpmContext(JbpmContext jbpmContext)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD